/*
====================
JSLINT: set options
====================
*/

/*jshint esversion: 6*/
/*jshint sub:true*/


/*
---------------------------------
HEADER
---------------------------------
*/

this.name			= "ferdelance3G_pirate";
this.author			= "UK_Eliter";
this.copyright 		= "";
this.description	= "ferdelance3G_pirate.js (for NPCs)";
this.license		= "CC-by-nc-sa 3.0";

/*
---------------------------------
DEBUGGING SWITCHES
---------------------------------
*/


// this.logging = true;

this.debug 	= false;

if ( this.debug ) {
	this.ship.reportAIMessages = true;
}


/*
========================
JSLINT: start of wrapper
========================
*/

(function(){
"use strict";


/*
---------------------------------
EVENT HANDLERS
---------------------------------
*/

this.shipSpawned = function() // For BOUNTY and ALLOCATING MISSILES
{
	var startTime, secondLevelOrdinanceAvailable = false, chanceThirdLevelOrdinanceAvailable = 0.11, capacity, ordinanceAvailable, ordinanceCount, l;
	// 1st level ordinance: possibility of some hardheads; 2nd level: more serious stuff; 3rd: q-bomb..
	//
	ordinanceAvailable = ["EQ_MISSILE"]; // This will become a longer list.
	if ( this.ship.hasRole("ferdelance3G_+T") )
	{
		secondLevelOrdinanceAvailable = true;
		if ( this.ship.hasRole("ferdelance3G_pirateKing") )
		{
			this.ship.bounty += 50 + ( Math.ceil(Math.random() * 120) );
			chanceThirdLevelOrdinanceAvailable = 0.8;
		}
	}
	else
	{
		if ( Math.random() > 0.6 ) { secondLevelOrdinanceAvailable = true; }
	}
	
	if (secondLevelOrdinanceAvailable)
	{
		if (worldScripts["Missiles & Bombs"]) { ordinanceAvailable.push("EQ_RMB_FRAG_MISSILE", "EQ_RMB_OVERRIDE_MISSILE", "EQ_RMB_INTERCEPT_MISSILE", "EQ_RMB_INTERCEPT_MISSILE"); }
		if ( EquipmentInfo.infoForKey("EQ_TORPEDO_MISSILE") ) { ordinanceAvailable.push("EQ_TORPEDO_MISSILE"); }
		if (EquipmentInfo.infoForKey("EQ_HARPOON_NUKE1_MISSILE") ) { ordinanceAvailable.push("EQ_HARPOON_NUKE1_MISSILE"); }
		if ( worldScripts["armoury_trackerWorldScript.js"] )
		{
			ordinanceAvailable.push("EQ_ARMOURY_STUNBOMB_MINE");
			if (this.ship.equipmentStatus("EQ_CLOAKING_DEVICE") != "EQUIPMENT_OK")
			{
				ordinanceAvailable.push("EQ_KDRONE_LAUNCHER_MINE", "EQ_CDRONE_LAUNCHER_MINE");
			}
		}
		if (EquipmentInfo.infoForKey("EQ_NEXUS_BUG_MISSILE") ) { if (Math.random() > 0.25) {ordinanceAvailable.push("EQ_NEXUS_BASIC_MISSILE"); } else { ordinanceAvailable.push("EQ_NEXUS_PREMIUM_MISSILE");} }
		capacity = this.ship.missileCapacity;
		// THIRD LEVEL
		if (Math.random() < chanceThirdLevelOrdinanceAvailable)
		{
			this.ship.awardEquipment("EQ_QC_MINE"); // NB: actually award
			--capacity;
		}
	}
	// Now top up the list.
	l = ordinanceCount; while ( l--) {
		ordinanceAvailable.push("EQ_MISSILE");
		ordinanceAvailable.push("EQ_HARDENED_MISSILE");
		ordinanceAvailable.push("EQ_HARDENED_MISSILE");
	}
	// Now actually load the ordinance (save for Q-Mine, which may have been loaded above).
	ordinanceCount = ordinanceAvailable.length; // this will have changed
	l = capacity -1;
	do
	{
		this.ship.awardEquipment(ordinanceAvailable[Math.floor(Math.random() * ordinanceCount)]);
	}
	while( l-- );
	delete this.shipSpawned;
};


/*
=======================
JSLINT: end of wrapper
=======================
*/

}).call(this);


